%m014
%Aplica filtro espacial simple
A=double(imread('_im_lenna_128.bmp'));
[nf nc]=size(A);

subplot(1,2,1);
imshow(A,[]); %[] significa que ajusta automáticamente el mínimo y máximo

K=[1 1 1 ;1 0 1 ;1 1 1];
B=zeros(nf,nc);
%ojo sin bordes...
borde=1;
for f=1+borde:nf-borde
   for c=1+borde:nc-borde
    sum=0;
 	 for ff=-borde:borde
        for cc=-borde:borde
           sum=sum+A(f+ff,c+cc)*K(ff+borde+1,cc+borde+1);
        end;
     end;
     B(f,c)=sum/8;
   end;
end;

subplot(1,2,2);
imshow(B,[]); %[] significa que ajusta automáticamente el mínimo y máximo

